org.apache.lucene.index

## Enum DocValuesType

- java.lang.Object
- - java.lang.Enum<DocValuesType>
  - - org.apache.lucene.index.DocValuesType

All Implemented Interfaces:
  Serializable, Comparable<DocValuesType>

    public enum DocValuesType
    extends Enum<DocValuesType>

DocValues types. Note that DocValues is strongly typed, so a field cannot have different types across different documents.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY` A per-document byte[].
`NONE` No doc values for this field.
`NUMERIC` A per-document Number
`SORTED` A pre-sorted byte[].
`SORTED_NUMERIC` A pre-sorted Number[].
`SORTED_SET` A pre-sorted Set<byte[]>.

### Method Summary

All Methods Static Methods Concrete Methods
`static DocValuesType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DocValuesType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final DocValuesType NONE

No doc values for this field.

#### NUMERIC

    public static final DocValuesType NUMERIC

A per-document Number

#### BINARY

    public static final DocValuesType BINARY

A per-document byte[]. Values may be larger than 32766 bytes, but different codecs may enforce their own limits.

#### SORTED

    public static final DocValuesType SORTED

A pre-sorted byte[]. Fields with this type only store distinct byte values and store an additional offset pointer per document to dereference the shared byte[]. The stored byte[] is presorted and allows access via document id, ordinal and by-value. Values must be `<= 32766` bytes.

#### SORTED_NUMERIC

    public static final DocValuesType SORTED_NUMERIC

A pre-sorted Number[]. Fields with this type store numeric values in sorted order according to `Long.compare(long, long)`.

#### SORTED_SET

    public static final DocValuesType SORTED_SET

A pre-sorted Set<byte[]>. Fields with this type only store distinct byte values and store additional offset pointers per document to dereference the shared byte[]s. The stored byte[] is presorted and allows access via document id, ordinal and by-value. Values must be `<= 32766` bytes.

### Method Detail

#### values

    public static DocValuesType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DocValuesType c : DocValuesType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DocValuesType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null